This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Thread Rating:
  • 2 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Netflix, Amazon Prime, and Hulu on the Tinker Board
#31
Maybe you should run update first.
Code:
sudo apt-get update
Reply
#32
OK. I was a bit worried about running apt-get update and apt-get upgrade as I read somewhere else that it lost some important Tinker-specific bits. However, since I only started on my image today, I thought that I haven't invested as much in my image that I need to be concerned about having to start again, so did the update and upgrade.

I then ran the commands from post 1 of this thread again. This time: no errors.

Now Netflix is running fine. I've checked, and BBC IPlayer, and IMVBox are still running fine. And while I was on a roll, I decided to check some more.

All 4 requires Adobe Flash Player Sad

ITV watch live requires Flash, but I can play ITV episodes fine.  I was going to take some screenshots, but found that there was no GIMP installed yet.

I was concerned that apt-get upgrade would stop sound playing, but it's running fine.

Thanks very much for your help.

EDIT: I found this in a thread about getting Flash working on Tinker:

Quote:Do not do apt-get dist-upgrade. Use only apt-get upgrade to update your TinkerOS.
(dist upgrade will install new version xorg-core, which somehow breaks GPU driver. This causes tinkerboard's graphics acceleration is unavailable. As a result you will not be able to use apps which uses this acceleration, for me that is Flash and Kodi)

I think I read something like that, and mis-remembered it as a warning to never apt-get upgrade.

EDIT: All 4 gets further now, and doesn't complain about Flash. However, it still won't play video because of a 'digital rights error.'

30 Second Bunnies Theatre plays fine. And Flash animation itself is playing fine.
Reply
#33
Kissasia is working great. Apart from the fact that it's a really annoying site and you have to be careful to click in EXACTLY the right place to start something running or it brings up a spam site in another tab.

A bit off topic: But, I'm currently watching the Korean film 'Castaway on the Moon' on my Tinkerboard, and I really do recommend this movie.
Reply
#34
I followed all instructions carefully but am getting this error when i try to run the chromium -user browser that it installs

Failed to execute command "/usr/bin/chromium --user-agent="Mozilla/5.0 (X11; CrOS armv7l 6946.63.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2357.130 Safari/537.36" %U".
Failed to execute child process "/usr/bin/chromium" (No such file or directory)

Please help.
Reply
#35
(03-30-2018, 03:27 PM)sdarco Wrote: I followed all instructions carefully but am getting this error when i try to run the chromium -user browser that it installs

Failed to execute command "/usr/bin/chromium --user-agent="Mozilla/5.0 (X11; CrOS armv7l 6946.63.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2357.130 Safari/537.36" %U".
Failed to execute child process "/usr/bin/chromium" (No such file or directory)

Please help.

Use locate, which, or a similar program to search for "chromium".  If chromium is truly installed it may be hiding somewhere else. The OS may also know how to run "chromium" without "/usr/bin/chromium", try it with just "chromium" instead.

I haven't tried tinkeros yet, so I'm not sure.
Reply
#36
I found chromium-browser but no chromium installed. When i try sudo apt-get install chromium i get this:

```Package chromium is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  linux-xenial-root-tinkerboard linux-xenial-root-udoo
  linux-xenial-root-pcduino3nano linux-xenial-root-pcduino3
  linux-xenial-root-pcduino2 linux-xenial-root-orangepizeroplus2-h3
  linux-xenial-root-orangepizero linux-xenial-root-orangepiplus2e
  linux-xenial-root-orangepiplus linux-xenial-root-orangepipcplus
  linux-xenial-root-orangepipc linux-xenial-root-orangepione
  linux-xenial-root-orangepilite linux-xenial-root-orangepi2
  linux-xenial-root-orangepi-r1 linux-xenial-root-odroidxu4
  linux-xenial-root-odroidc1 linux-xenial-root-next-udoo
  linux-xenial-root-next-tinkerboard linux-xenial-root-next-pcduino3nano
  linux-xenial-root-next-pcduino3 linux-xenial-root-next-pcduino2
  linux-xenial-root-next-orangepizeroplus2-h3
  linux-xenial-root-next-orangepizero linux-xenial-root-next-orangepiplus2e
  linux-xenial-root-next-orangepiplus linux-xenial-root-next-orangepipcplus
  linux-xenial-root-next-orangepipc linux-xenial-root-next-orangepione
  linux-xenial-root-next-orangepilite linux-xenial-root-next-orangepi2
  linux-xenial-root-next-orangepi-r1 linux-xenial-root-next-odroidxu4
  linux-xenial-root-next-nanopineo linux-xenial-root-next-nanopim1plus
  linux-xenial-root-next-nanopim1 linux-xenial-root-next-nanopiduo
  linux-xenial-root-next-nanopiair linux-xenial-root-next-miqi
  linux-xenial-root-next-micro linux-xenial-root-next-lime2
  linux-xenial-root-next-lime-a33 linux-xenial-root-next-lime
  linux-xenial-root-next-helios4 linux-xenial-root-next-cubox-i
  linux-xenial-root-next-cubietruck linux-xenial-root-next-cubieboard2
  linux-xenial-root-next-clearfogpro linux-xenial-root-next-clearfogbase
  linux-xenial-root-next-beelinkx2 linux-xenial-root-next-bananapipro
  linux-xenial-root-next-bananapim2plus linux-xenial-root-next-bananapim2
  linux-xenial-root-next-bananapi linux-xenial-root-nanopineo
  linux-xenial-root-nanopim1plus linux-xenial-root-nanopim1
  linux-xenial-root-nanopiduo linux-xenial-root-nanopiair
  linux-xenial-root-miqi linux-xenial-root-micro linux-xenial-root-lime2
  linux-xenial-root-lime linux-xenial-root-helios4 linux-xenial-root-dev-udoo
  linux-xenial-root-dev-tinkerboard linux-xenial-root-dev-pcduino3nano
  linux-xenial-root-dev-pcduino3 linux-xenial-root-dev-pcduino2
  linux-xenial-root-dev-orangepizeroplus2-h3
  linux-xenial-root-dev-orangepizero linux-xenial-root-dev-orangepiplus2e
  linux-xenial-root-dev-orangepiplus linux-xenial-root-dev-orangepipcplus
  linux-xenial-root-dev-orangepipc linux-xenial-root-dev-orangepione
  linux-xenial-root-dev-orangepilite linux-xenial-root-dev-orangepi2
  linux-xenial-root-dev-orangepi-r1 linux-xenial-root-dev-odroidxu4
  linux-xenial-root-dev-nanopineo linux-xenial-root-dev-nanopim1plus
  linux-xenial-root-dev-nanopim1 linux-xenial-root-dev-nanopiduo
  linux-xenial-root-dev-nanopiair linux-xenial-root-dev-miqi
  linux-xenial-root-dev-micro linux-xenial-root-dev-lime2
  linux-xenial-root-dev-lime linux-xenial-root-dev-cubox-i
  linux-xenial-root-dev-cubietruck linux-xenial-root-dev-cubieboard2
  linux-xenial-root-dev-clearfogpro linux-xenial-root-dev-clearfogbase
  linux-xenial-root-dev-beelinkx2 linux-xenial-root-dev-bananapipro
  linux-xenial-root-dev-bananapim2plus linux-xenial-root-dev-bananapim2
  linux-xenial-root-dev-bananapi linux-xenial-root-cubox-i
  linux-xenial-root-cubietruck linux-xenial-root-cubieboard2
  linux-xenial-root-clearfogpro linux-xenial-root-clearfogbase
  linux-xenial-root-beelinkx2 linux-xenial-root-bananapipro
  linux-xenial-root-bananapim2plus linux-xenial-root-bananapi chromium-bsu

E: Package 'chromium' has no installation candidate
```

Also it looks like it cant install widevine with yout install.sh
Reply
#37
Start with a fresh desktop build which has optimized Chromium already installed.
Armbian. Lightweight Debian Stretch or Ubuntu Bionic for Tinker Board.
Reply
#38
I'm currently using Armbian Default Xenial

(04-07-2018, 10:59 AM)igorpec Wrote: Start with a fresh desktop build which has optimized Chromium already installed.
Reply
#39
Im using the recommended OS, but it has Chromium-browser default on the install. And it seems Widevine does not like that. It's looking for "chromium" which is outdated it seems and has been replaced by "chromium-browser"

(04-09-2018, 01:43 AM)sdarco Wrote: I'm currently using Armbian Default Xenial

(04-07-2018, 10:59 AM)igorpec Wrote: Start with a fresh desktop build which has optimized Chromium already installed.
Reply
#40
I have installed the latest TB Debian release 2.0.5 and then followed these instructions. Netflix works fine. Amazon Prime is a fail - error message about needing a newer version of Chrome.
Reply


Forum Jump:


Users browsing this thread: 3 Guest(s)